# Directors

## GET /directors/

> Read Directors

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/directors/":{"get":{"tags":["Directors"],"summary":"Read Directors","operationId":"read_directors_directors__get","parameters":[{"name":"skip","in":"query","required":false,"schema":{"type":"integer","default":0,"title":"Skip"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Limit"}},{"name":"session_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Session Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DirectorResponse"},"title":"Response Read Directors Directors  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"DirectorResponse":{"properties":{"session_id":{"type":"string","format":"uuid","title":"Session Id"},"full_name":{"type":"string","title":"Full Name"},"date_of_birth":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Date Of Birth"},"nationality":{"type":"string","title":"Nationality"},"position":{"type":"string","title":"Position"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"id_document_type":{"anyOf":[{"$ref":"#/components/schemas/DocumentType"},{"type":"null"}]},"id_document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Number"},"id_document_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Url"},"id_document_back_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Back Path"},"liveness_check_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Liveness Check Path"},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false},"id":{"type":"string","format":"uuid","title":"Id"}},"type":"object","required":["session_id","full_name","nationality","position","id"],"title":"DirectorResponse"},"DocumentType":{"type":"string","enum":["PASSPORT","NRIC","DRIVING_LICENSE","AADHAAR","PAN","BANK_STATEMENT","UTILITY_BILL"],"title":"DocumentType"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## POST /directors/

> Create Director

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/directors/":{"post":{"tags":["Directors"],"summary":"Create Director","operationId":"create_director_directors__post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DirectorCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DirectorResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"DirectorCreate":{"properties":{"session_id":{"type":"string","format":"uuid","title":"Session Id"},"full_name":{"type":"string","title":"Full Name"},"date_of_birth":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Date Of Birth"},"nationality":{"type":"string","title":"Nationality"},"position":{"type":"string","title":"Position"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"id_document_type":{"anyOf":[{"$ref":"#/components/schemas/DocumentType"},{"type":"null"}]},"id_document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Number"},"id_document_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Url"},"id_document_back_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Back Path"},"liveness_check_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Liveness Check Path"},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false}},"type":"object","required":["session_id","full_name","nationality","position"],"title":"DirectorCreate"},"DocumentType":{"type":"string","enum":["PASSPORT","NRIC","DRIVING_LICENSE","AADHAAR","PAN","BANK_STATEMENT","UTILITY_BILL"],"title":"DocumentType"},"DirectorResponse":{"properties":{"session_id":{"type":"string","format":"uuid","title":"Session Id"},"full_name":{"type":"string","title":"Full Name"},"date_of_birth":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Date Of Birth"},"nationality":{"type":"string","title":"Nationality"},"position":{"type":"string","title":"Position"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"id_document_type":{"anyOf":[{"$ref":"#/components/schemas/DocumentType"},{"type":"null"}]},"id_document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Number"},"id_document_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Url"},"id_document_back_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Back Path"},"liveness_check_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Liveness Check Path"},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false},"id":{"type":"string","format":"uuid","title":"Id"}},"type":"object","required":["session_id","full_name","nationality","position","id"],"title":"DirectorResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## GET /directors/{director\_id}

> Read Director

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/directors/{director_id}":{"get":{"tags":["Directors"],"summary":"Read Director","operationId":"read_director_directors__director_id__get","parameters":[{"name":"director_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Director Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DirectorResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"DirectorResponse":{"properties":{"session_id":{"type":"string","format":"uuid","title":"Session Id"},"full_name":{"type":"string","title":"Full Name"},"date_of_birth":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Date Of Birth"},"nationality":{"type":"string","title":"Nationality"},"position":{"type":"string","title":"Position"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"id_document_type":{"anyOf":[{"$ref":"#/components/schemas/DocumentType"},{"type":"null"}]},"id_document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Number"},"id_document_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Url"},"id_document_back_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Back Path"},"liveness_check_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Liveness Check Path"},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false},"id":{"type":"string","format":"uuid","title":"Id"}},"type":"object","required":["session_id","full_name","nationality","position","id"],"title":"DirectorResponse"},"DocumentType":{"type":"string","enum":["PASSPORT","NRIC","DRIVING_LICENSE","AADHAAR","PAN","BANK_STATEMENT","UTILITY_BILL"],"title":"DocumentType"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## PUT /directors/{director\_id}

> Update Director

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/directors/{director_id}":{"put":{"tags":["Directors"],"summary":"Update Director","operationId":"update_director_directors__director_id__put","parameters":[{"name":"director_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Director Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DirectorUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DirectorResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"DirectorUpdate":{"properties":{"full_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Full Name"},"date_of_birth":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Date Of Birth"},"nationality":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nationality"},"position":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Position"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"id_document_type":{"anyOf":[{"$ref":"#/components/schemas/DocumentType"},{"type":"null"}]},"id_document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Number"},"id_document_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Url"},"id_document_back_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Back Path"},"liveness_check_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Liveness Check Path"},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent"}},"type":"object","title":"DirectorUpdate"},"DocumentType":{"type":"string","enum":["PASSPORT","NRIC","DRIVING_LICENSE","AADHAAR","PAN","BANK_STATEMENT","UTILITY_BILL"],"title":"DocumentType"},"DirectorResponse":{"properties":{"session_id":{"type":"string","format":"uuid","title":"Session Id"},"full_name":{"type":"string","title":"Full Name"},"date_of_birth":{"anyOf":[{"type":"string","format":"date"},{"type":"null"}],"title":"Date Of Birth"},"nationality":{"type":"string","title":"Nationality"},"position":{"type":"string","title":"Position"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"id_document_type":{"anyOf":[{"$ref":"#/components/schemas/DocumentType"},{"type":"null"}]},"id_document_number":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Number"},"id_document_url":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Url"},"id_document_back_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Id Document Back Path"},"liveness_check_path":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Liveness Check Path"},"verification_notes":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Verification Notes"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false},"id":{"type":"string","format":"uuid","title":"Id"}},"type":"object","required":["session_id","full_name","nationality","position","id"],"title":"DirectorResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## DELETE /directors/{director\_id}

> Delete Director

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/directors/{director_id}":{"delete":{"tags":["Directors"],"summary":"Delete Director","operationId":"delete_director_directors__director_id__delete","parameters":[{"name":"director_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Director Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.beetlelabs.ai/directors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
